From: "Ronny Gutbrod" <gentoo@tastytea.de>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: dev-util/yaml-language-server/
Date: Tue, 23 May 2023 12:47:00 +0000 (UTC) [thread overview]
Message-ID: <1684840386.ace426b2e233515cb575b2bbfdd8471c2d51d23e.tastytea@gentoo> (raw)
commit: ace426b2e233515cb575b2bbfdd8471c2d51d23e
Author: tastytea <gentoo <AT> tastytea <DOT> de>
AuthorDate: Tue May 23 11:13:06 2023 +0000
Commit: Ronny Gutbrod <gentoo <AT> tastytea <DOT> de>
CommitDate: Tue May 23 11:13:06 2023 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=ace426b2
dev-util/yaml-language-server: add 1.13.0
Signed-off-by: tastytea <gentoo <AT> tastytea.de>
dev-util/yaml-language-server/Manifest | 2 +
.../yaml-language-server-1.13.0.ebuild | 43 ++++++++++++++++++++++
2 files changed, 45 insertions(+)
diff --git a/dev-util/yaml-language-server/Manifest b/dev-util/yaml-language-server/Manifest
index f8eb0c491..9420fb68b 100644
--- a/dev-util/yaml-language-server/Manifest
+++ b/dev-util/yaml-language-server/Manifest
@@ -2,3 +2,5 @@ DIST yaml-language-server-1.11.0-deps.tar.xz 5658516 BLAKE2B a49058ae8e314bcec16
DIST yaml-language-server-1.11.0.tgz 548849 BLAKE2B 787cfd79014922d03a67d0618fb2bdad79dd3e02503edf61e1e7b623c3c10ee36a9d15b643c883046f4c81d36f11947f65f8dbd1cd9515d19513fc127a6ef77d SHA512 d5306584ad67312a438aade265f0320ce838c706a0a336409eaaf400ead91b952d78cb77cdb7e1395aa146e02e9d1219f2492d7c6323b0ac438cefaeb4600968
DIST yaml-language-server-1.12.0-deps.tar.xz 5119236 BLAKE2B 0e224565745ac61520ab3f76efaac3fe46fe8ec7a36ced2e492d1f97af34f82699b604801df601f122bcca4b439393741817a4267260b765029380c6c5079a2c SHA512 72aa7ab1c35b7cd65d14a535ca91f656a3d2e39b73539c1494681ed636f08f888d415b751d9952ba8eae3a802cdf001b71e92059806c20d2f512072122e602ba
DIST yaml-language-server-1.12.0.tgz 558972 BLAKE2B 1d7ec17dbf0e74bfff5bb68574fd60122876def6f869e1a2a9911e51414cca19fdb3af989b9ba7c8be439c2f2b96282fb9122231a2591dbd1d7e57f27a897ad8 SHA512 70441e1d5a921f4f9480d36f546aefdf1bbe3414ec7014a6392fef35f8bbaf924f4e1829de12145738e3d2fc5e5c58f9b303b19e9a1dd210fdf6d0a43c68a293
+DIST yaml-language-server-1.13.0-deps.tar.xz 5460772 BLAKE2B 110680d5ce1459a90483f58ef28dbf82af5fa4cd5984044a294b9d1f8e40b74fa552011e29fa1a780bfc93243039eb57c2766682d84160bb77fe87e04c12b975 SHA512 17b167b372140845e52cfd41c49dec2610f2dfde76e60a74c5c03240aa4ce9aab4dc4d741d4942999614cebcca567f6a9bd52f8088b4b94f615ae6576a3a0337
+DIST yaml-language-server-1.13.0.tgz 557876 BLAKE2B 2b51ba4a0ac4372efae5d788c06f3e4e2a545f8ea02e508e68c7457b8fb7d25f5f4446b56c39f93308b4aa56236204b75c525c549ed6eb98354ac76170070344 SHA512 0b37a456314e52489723ab60dc13ee4a4c44eb491e0d3e3ff8b8cf2d7c27b7880247369a58c0a34fdd8dc4e1efd5d7ab6c12c75a879c6b2e3cb6c7bf0ded7cd5
diff --git a/dev-util/yaml-language-server/yaml-language-server-1.13.0.ebuild b/dev-util/yaml-language-server/yaml-language-server-1.13.0.ebuild
new file mode 100644
index 000000000..2ac4c93d2
--- /dev/null
+++ b/dev-util/yaml-language-server/yaml-language-server-1.13.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Language Server for YAML Files"
+HOMEPAGE="https://github.com/redhat-developer/yaml-language-server"
+SRC_URI="
+ mirror://npm/${PN}/-/${P}.tgz
+ https://tastytea.de/files/gentoo/${P}-deps.tar.xz
+"
+S="${WORKDIR}"
+
+# NOTE: to generate the dependency tarball:
+# npm --cache ./npm-cache install $(portageq envvar DISTDIR)/${P}.tgz
+# tar -caf ${P}-deps.tar.xz npm-cache
+
+LICENSE="Apache-2.0 BSD-2 ISC MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="net-libs/nodejs"
+BDEPEND="net-libs/nodejs[npm]"
+
+src_unpack() {
+ cd "${T}" || die "Could not cd to temporary directory"
+ unpack ${P}-deps.tar.xz
+}
+
+src_install() {
+ npm \
+ --offline \
+ --verbose \
+ --progress false \
+ --foreground-scripts \
+ --global \
+ --prefix "${ED}"/usr \
+ --cache "${T}"/npm-cache \
+ install "${DISTDIR}"/${P}.tgz || die "npm install failed"
+
+ cd "${ED}"/usr/$(get_libdir)/node_modules/${PN} || die "cd failed"
+ einstalldocs
+}
next reply other threads:[~2023-05-23 12:47 UTC|newest]
Thread overview: 11+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-05-23 12:47 Ronny Gutbrod [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-06-28 6:17 [gentoo-commits] repo/proj/guru:dev commit in: dev-util/yaml-language-server/ Ronny Gutbrod
2024-05-28 8:24 Ronny Gutbrod
2024-05-28 8:24 Ronny Gutbrod
2023-07-25 17:37 Ronny Gutbrod
2023-07-25 17:37 Ronny Gutbrod
2023-05-23 12:47 Ronny Gutbrod
2023-03-09 13:59 Ronny Gutbrod
2023-03-09 13:59 Ronny Gutbrod
2023-01-11 23:16 Ronny Gutbrod
2022-09-08 1:46 [gentoo-commits] repo/proj/guru:master " Ronny Gutbrod
2022-09-07 2:19 ` [gentoo-commits] repo/proj/guru:dev " Ronny Gutbrod
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1684840386.ace426b2e233515cb575b2bbfdd8471c2d51d23e.tastytea@gentoo \
--to=gentoo@tastytea.de \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox